import http from '@/http'

export const getVerificationCode = data => http.post('/api/v1/verification/send', data) // 获取验证码
export const logout = data => http.post('/api/v1/user/auth/logout', data) // 退出登录
// export const scanQrcode = data => http.post(`/api/v1/user/auth/login?credential=${data.credential}&loginType=DING_QR_LOGIN`, data) // 账号密码的登陆方式java
export const scanQrcode = data => http.post(`/api/v1/user/auth/login?credential=${data.credential}&identifier=${data.identifier}&loginType=${data.loginType}`, data) // 写死账号密码的登陆方式java
export const singleLogin = data => http.post('/api/v1/user/auth/common-login', data, { 'Content-Type': 'application/x-www-form-urlencoded' }) // 单点登录

